사용자 도구

사이트 도구


사이드바

SideBar

post:android:faq

안드로이드 FAQ

Error/Problems 대응

  • Eclipse Android 설정 Error
    • Error Message
      The import android.os cannot be resolved
    • Asked
      • 왼쪽 Package Exporer에서 해당하는 project folder에서 Right Click
      • Properties 선택
      • 왼쪽에서 Android 선택
      • Project Build Target 에서 Android 버전 선택
      • Apply
  • API Level Error
    • Error Message
      Call requires API level 8 (current min is 5): android.view.Display#getRotation
    • Cause
      • getRotation()을 사용하기 위해서는 API Level 8이상이 필요한데, 현재 소스 상에는 minimum으로 5임.

    • Answer소스수정(AndroidManifest.xml)
      from
      <uses-sdk android:minSdkVersion="5"></uses-sdk>

      to

      <uses-sdk android:minSdkVersion="8"></uses-sdk>
post/android/faq.txt · 마지막으로 수정됨: 2015/01/01 05:03 (바깥 편집)